Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class WrappedDataHandler

    java.lang.Object
      javax.activation.DataHandler
          org.apache.axis2.util.WrappedDataHandler

All Implemented Interfaces:
  Transferable

    public class WrappedDataHandler

extends javax.activation.DataHandler

This class acts as a wrapper for the javax.activation.DataHandler class. It is used to store away a (potentially) user-defined content-type value along with the DataHandler instance. We'll delegate all method calls except for getContentType() to the real DataHandler instance.

Constructor Summary
`WrappedDataHandler(javax.activation.DataHandler _delegate, String _contentType)` Constructs a new instance of the WrappedDataHandler.

Method Summary
`javax.activation.CommandInfo[]` | `getAllCommands()`
`Object` | `getBean(javax.activation.CommandInfo paramCommandInfo)`
`javax.activation.CommandInfo` | `getCommand(String paramString)`
`Object` | `getContent()`
`String` | `getContentType()`
`javax.activation.DataSource` | `getDataSource()`
`InputStream` | `getInputStream()`
`String` | `getName()`
`OutputStream` | `getOutputStream()`
`javax.activation.CommandInfo[]` | `getPreferredCommands()`
`Object` | `getTransferData(DataFlavor paramDataFlavor)`
`DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(DataFlavor paramDataFlavor)`
`void` | `setCommandMap(javax.activation.CommandMap paramCommandMap)`
`void` | `writeTo(OutputStream paramOutputStream)`

Methods inherited from class javax.activation.DataHandler
`setDataContentHandlerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedDataHandler

    public WrappedDataHandler(javax.activation.DataHandler _delegate,
                              String _contentType)

  Constructs a new instance of the WrappedDataHandler.

  Parameters:
    `_delegate` - the real DataHandler instance being wrapped
    `_contentType` - the user-defined contentType associated with the DataHandler instance

Method Detail

### getAllCommands

    public javax.activation.CommandInfo[] getAllCommands()

  Overrides:
    `getAllCommands` in class `javax.activation.DataHandler`

### getBean

    public Object getBean(javax.activation.CommandInfo paramCommandInfo)

  Overrides:
    `getBean` in class `javax.activation.DataHandler`

### getCommand

    public javax.activation.CommandInfo getCommand(String paramString)

  Overrides:
    `getCommand` in class `javax.activation.DataHandler`

### getContent

    public Object getContent()
                      throws IOException

  Overrides:
    `getContent` in class `javax.activation.DataHandler`
  Throws:
    `IOException`

### getContentType

    public String getContentType()

  Overrides:
    `getContentType` in class `javax.activation.DataHandler`

### getDataSource

    public javax.activation.DataSource getDataSource()

  Overrides:
    `getDataSource` in class `javax.activation.DataHandler`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Overrides:
    `getInputStream` in class `javax.activation.DataHandler`
  Throws:
    `IOException`

### getName

    public String getName()

  Overrides:
    `getName` in class `javax.activation.DataHandler`

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Overrides:
    `getOutputStream` in class `javax.activation.DataHandler`
  Throws:
    `IOException`

### getPreferredCommands

    public javax.activation.CommandInfo[] getPreferredCommands()

  Overrides:
    `getPreferredCommands` in class `javax.activation.DataHandler`

### getTransferData

    public Object getTransferData(DataFlavor paramDataFlavor)
                           throws UnsupportedFlavorException,
                                  IOException

  Specified by:
    `getTransferData` in interface `Transferable`
  Overrides:
    `getTransferData` in class `javax.activation.DataHandler`
  Throws:
    `UnsupportedFlavorException`
    `IOException`

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `Transferable`
  Overrides:
    `getTransferDataFlavors` in class `javax.activation.DataHandler`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor paramDataFlavor)

  Specified by:
    `isDataFlavorSupported` in interface `Transferable`
  Overrides:
    `isDataFlavorSupported` in class `javax.activation.DataHandler`

### setCommandMap

    public void setCommandMap(javax.activation.CommandMap paramCommandMap)

  Overrides:
    `setCommandMap` in class `javax.activation.DataHandler`

### writeTo

    public void writeTo(OutputStream paramOutputStream)
                 throws IOException

  Overrides:
    `writeTo` in class `javax.activation.DataHandler`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.